curl --request POST \
--url https://sandbox.cashfree.com/pg/eligibility/payment_methods \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"queries": {
"amount": 100
}
}
'[
{
"eligibility": true,
"entity_type": "payment_methods",
"entity_value": "netbanking",
"entity_details": {
"payment_method_details": [
{
"nick": "motak_kahindra_bank",
"display": "Motak Kahindra Bank",
"eligibility": true,
"code": 3032
},
{
"nick": "bank_of_india",
"display": "Bank Of India",
"eligibility": true,
"code": 3031
}
]
}
}
]{
"message": "bad URL, please check API documentation",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"code": "somethind_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"code": "internal_error",
"type": "api_error"
}{
"message": "something is not found",
"code": "bank_processing_failure",
"type": "api_error"
}Eligibility
Get eligible Payment Methods
Use this API to get eligible Payment Methods
POST
/
eligibility
/
payment_methods
curl --request POST \
--url https://sandbox.cashfree.com/pg/eligibility/payment_methods \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"queries": {
"amount": 100
}
}
'[
{
"eligibility": true,
"entity_type": "payment_methods",
"entity_value": "netbanking",
"entity_details": {
"payment_method_details": [
{
"nick": "motak_kahindra_bank",
"display": "Motak Kahindra Bank",
"eligibility": true,
"code": 3032
},
{
"nick": "bank_of_india",
"display": "Bank Of India",
"eligibility": true,
"code": 3031
}
]
}
}
]{
"message": "bad URL, please check API documentation",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"code": "somethind_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"code": "internal_error",
"type": "api_error"
}{
"message": "something is not found",
"code": "bank_processing_failure",
"type": "api_error"
}Authorizations
XClientID & XClientSecretXClientID & XPartnerAPIKeyXClientID & XClientSignatureHeaderXPartnerMerchantID & XPartnerAPIKey
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used
Request id for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to cashfree
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Body
application/json
Request Body to get eligible payment methods for an account and order
Response
OK
Example:
true
Example:
"payment_methods"
Example:
"netbanking"
Show child attributes
Show child attributes
Example:
{
"payment_method_details": [
{
"nick": "motak_kahindra_bank",
"display": "Motak Kahindra Bank",
"eligibility": true,
"code": 3032
},
{
"nick": "bank_of_india",
"display": "Bank Of India",
"eligibility": true,
"code": 3031
}
]
}
Was this page helpful?
āI